diff -Naur t-gnus-6_17_2-00.orig/fink/t-gnus-install t-gnus-6_17_2-00/fink/t-gnus-install
--- t-gnus-6_17_2-00.orig/fink/t-gnus-install	Thu Jan  1 09:00:00 1970
+++ t-gnus-6_17_2-00/fink/t-gnus-install	Sun Apr  3 14:11:55 2005
@@ -0,0 +1,73 @@
+#! /bin/sh -e
+#  @PREFIX@/lib/emacsen-common/packages/install/t-gnus
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+EMACS=${FLAVOR}
+PACKAGE="t-gnus"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+if [ ${FLAVOR} = xemacs21 ];then
+       XEMACS=`ls @PREFIX@/bin/xemacs*21*-mule* 2> /dev/null | head -1`
+       if [ -z $XEMACS ];then exit 0; fi
+       EMACS=$XEMACS
+fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+SITELISP=@PREFIX@/share/${FLAVOR}/site-lisp
+
+EFLAGS="-batch -q -l ./dgnushack.el -f dgnushack-compile"
+COMPILE="-batch -q -f batch-byte-compile"
+
+case "${FLAVOR}" in
+	emacs2* | xemacs21 | mule2)
+
+	/bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...\c"
+	if [ "${FLAVOR}" = "mule2" ]; then
+		if [ ! -d @PREFIX@/share/emacs/site-lisp/clime ]; then
+		echo " exited."
+		echo "W: Please install \`clime' package for mule2." ;
+		exit 0;
+		fi
+	else
+		if [ ! -d @PREFIX@/share/emacs/site-lisp/flim ]; then
+		echo " exited."
+		echo "W: Please install \`flim' package for ${FLAVOR}." ;
+		exit 0;
+		fi
+	fi
+
+	rm -rf ${ELCDIR}
+    install -m 755 -d ${ELCDIR}
+
+    # Copy the temp .el files
+    cp ${ELDIR}/* ${ELCDIR}/
+
+    # Byte compile them
+    (cd ${ELCDIR}
+        ${EMACS} ${EFLAGS} > CompilationLog 2>&1
+	rm -f *.el
+    )
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	echo " done."
+	;;
+    *)
+	;;
+esac
+
+exit 0;
diff -Naur t-gnus-6_17_2-00.orig/fink/t-gnus-remove t-gnus-6_17_2-00/fink/t-gnus-remove
--- t-gnus-6_17_2-00.orig/fink/t-gnus-remove	Thu Jan  1 09:00:00 1970
+++ t-gnus-6_17_2-00/fink/t-gnus-remove	Sun Apr  3 14:12:38 2005
@@ -0,0 +1,39 @@
+#!/bin/sh
+# @PREFIX@/lib/emacsen-common/packages/remove/t-gnus
+# [ This particular script hasn't been tested either, so be careful. ]
+set -e
+
+FLAVOR=$1
+PACKAGE="t-gnus"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=@PREFIX@/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=@PREFIX@/share/${FLAVOR}/site-lisp
+
+
+case "${FLAVOR}" in
+	emacs2* | xemacs20 | xemacs21 | mule2)
+
+	/bin/echo "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ...\c"
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	echo " done."
+	;;
+    *)
+	;;
+esac
+
+exit 0;
diff -Naur t-gnus-6_17_2-00.orig/fink/t-gnus-startup t-gnus-6_17_2-00/fink/t-gnus-startup
--- t-gnus-6_17_2-00.orig/fink/t-gnus-startup	Thu Jan  1 09:00:00 1970
+++ t-gnus-6_17_2-00/fink/t-gnus-startup	Sun Apr  3 14:13:50 2005
@@ -0,0 +1,44 @@
+;; -*- Mode: emacs-lisp; indent-tabs-mode: t; tab-width: 4; -*-
+;; t-gnus-init.el
+;;
+;; Takuo KITAME <kitame@northeye.org>
+
+(if (featurep' mule)
+    (progn
+      (setq load-path 
+			(cons 
+			 (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor)
+					 "/site-lisp/t-gnus")
+			 load-path))
+      
+      (autoload 'gnus "gnus" "Read network news" t)
+      (autoload 'gnus-post-news "gnus" "Post a news" t)
+      
+      (add-hook 'message-setup-hook 'turn-on-mime-edit)
+
+      (if (string-match "mule2" (symbol-name fink-emacs-flavor))
+		  (let ((symbols '(citation-line-function
+						   cite-function courtesy-message default-headers
+						   default-mail-headers default-news-headers
+						   deletable-headers fcc-handler-function
+						   followup-to-function from-style
+						   generate-headers-first generate-new-buffers
+						   ignored-bounced-headers ignored-cited-headers
+						   ignored-mail-headers ignored-news-headers
+						   ignored-resent-headers ignored-supersedes-headers
+						   included-forward-headers indent-citation-function
+						   interactive kill-buffer-on-exit post-method
+						   reply-to-function required-mail-headers
+						   required-news-headers send-mail-function
+						   send-news-function signature
+						   signature-before-forwarded-message signature-file
+						   signature-separator syntax-checks use-followup-to
+						   user-organization-file wide-reply-to-function
+						   yank-prefix))
+				symbol)
+			(while symbols
+			  (setq symbol (car symbols)
+					symbols (cdr symbol))
+			  (makunbound (intern (format "message-%s" symbol)))))
+		)
+      ))
